Cette page a été traduite automatiquement et peut contenir des inexactitudes. Pour signaler une erreur de traduction, ouvrez un ticket sur GitHub.
Exporter l’analyse d’envoi
get
/sends/data_series
Utilisez cet endpoint pour récupérer une série quotidienne de diverses statistiques pour un
send_idsuivi dans le cadre de Campagnes API.
Braze stocke les analyses d’envoi pendant 14 jours après l’envoi. Les conversions de la campagne seront attribuées au send_id le plus récent qu’un utilisateur donné a reçu de cette campagne.
Conditions préalables
Cet endpoint est réservé aux Campagnes API. Pour l’utiliser, vous aurez besoin d’une clé API avec l’autorisation sends.data_series.
Limite de débit
La limite de débit par défaut de Braze de 250 000 requêtes par heure s’applique à cet endpoint, comme documenté dans Limites de débit de l’API.
Paramètres de requête
| Paramètre | Requis | Type de données | Description |
|---|---|---|---|
campaign_id |
Requis | Chaîne de caractères | Voir identifiant API de campagne. |
send_id |
Requis | Chaîne de caractères | Voir identifiant API d’envoi. |
length |
Requis | Entier | Nombre maximum de jours avant ending_at à inclure dans la série renvoyée. Doit être compris entre 1 et 100 (inclus). |
ending_at |
Facultatif | Datetime (chaîne ISO-8601) |
Date à laquelle la série de données doit se terminer. Par défaut, correspond à l’heure de la requête. |
Exemple de requête
1
2
curl --location -g --request GET 'https://rest.iad-01.braze.com/sends/data_series?campaign_id={{campaign_identifier}}&send_id={{send_identifier}}&length=30&ending_at=2014-12-10T23:59:59-05:00' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'
Réponse
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
{
"message": (required, string) the status of the export, returns 'success' when completed without errors,
"data" : [
{
"time": (string) the date as ISO 8601 date,
"messages": {
"ios_push" : [
{
"variation_name": (string) variation name,
"sent": (int) the number of sends,
"delivered": (int) the number of messages successfully delivered,
"undelivered": (int) the number of undelivered,
"delivery_failed": (int) the number of rejected,
"direct_opens": (int) the number of direct opens,
"total_opens": (int) the number of total opens,
"bounces": (int) the number of bounces,
"body_clicks": (int) the number of body clicks,
"revenue": (float) the number of dollars of revenue (USD),
"unique_recipients": (int) the number of unique recipients at the campaign-level,
"conversions": (int) the number of conversions,
"conversions_by_send_time": (int) the number of conversions attributed to the date the campaign was sent,
"conversions1": (optional, int) the number of conversions for the second conversion event,
"conversions1_by_send_time": (optional, int) the number of conversions for the second conversion event attributed to the date the campaign was sent,
"conversions2": (optional, int) the number of conversions for the third conversion event,
"conversions2_by_send_time": (optional, int) the number of conversions for the third conversion event attributed to the date the campaign was sent,
"conversions3": (optional, int) the number of conversions for the fourth conversion event,
"conversions3_by_send_time": (optional, int) the number of conversions for the fourth, conversion event attributed to the date the campaign was sent
}
]
},
"conversions_by_send_time": (optional, int),
"conversions1_by_send_time": (optional, int),
"conversions2_by_send_time": (optional, int),
"conversions3_by_send_time": (optional, int),
"conversions": (int),
"conversions1": (optional, int),
"conversions2": (optional, int),
"conversions3": (optional, int),
"unique_recipients": (int),
"revenue": (optional, float)
}
],
"message": "success"
}

Conseil
Pour obtenir de l’aide sur les exportations CSV et API, consultez la section Résolution des problèmes d’exportation.
New Stuff!